package cn.bunny;

import cn.bunny.log.annotation.EnableLogAspect;
import cn.bunny.properties.MinioProperties;
import cn.bunny.properties.UserProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableLogAspect
@SpringBootApplication
@EnableConfigurationProperties(value = {UserProperties.class, MinioProperties.class})
@EnableScheduling
// @ComponentScan(basePackages = "cn.bunny")
public class MangerApplication {
    public static void main(String[] args) {
        SpringApplication.run(MangerApplication.class, args);
    }
}