package cn.bunny.mapper;

import cn.bunny.common.spzx.model.dto.product.CategoryBrandDto;
import cn.bunny.common.spzx.model.entity.product.Brand;
import cn.bunny.common.spzx.model.entity.product.CategoryBrand;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CategoryBrandMapper {
    // 分类品牌条件分页查询
    public List<CategoryBrand> findByPage(CategoryBrandDto categoryBrandDto);

    // 分类品牌添加
    void save(CategoryBrand categoryBrand);

    // 品牌修改功能
    void updateById(CategoryBrand categoryBrand);

    // 删除分类品牌
    void deleteById(Long id);

    // 根据id查询对应商品数据
    List<Brand> findBrandByCategoryId(Long categoryId);
}
