package cn.bunny.mapper;

import cn.bunny.common.spzx.model.dto.product.ProductDto;
import cn.bunny.common.spzx.model.entity.product.Product;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductMapper {
    // 查询分页
    public List<Product> findByPage(ProductDto productDto);

    // 保存商品数据接口
    void save(Product product);

    // 1. 根据id查询商品基本信息
    Product findProductById(Long id);

    // 修改product表
    void updateProduct(Product product);

    // 删除product数据
    void deleteById(Long id);

    // 审核商品
    void updateById(Product product);
}
