package cn.bunny.mapper;

import cn.bunny.common.spzx.model.entity.product.ProductSku;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductSkuMapper {
    void save(ProductSku productSku);

    // 根据id查询商品信息
    List<ProductSku> findProductSkuByProductId(Long id);

    // 修改product_sku表
    void updateById(ProductSku productSku);

    // 删除product_sku数据
    void deleteByProductId(Long id);
}
