package cn.bunny.mapper;

import cn.bunny.common.spzx.model.entity.product.ProductSpec;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductSpecMapper {
    // 分页查询商品规格列表
    List<ProductSpec> findByPage();

    // 商品规格添加
    void save(ProductSpec productSpec);

    // 商品规格修改
    void updateById(ProductSpec productSpec);

    // 商品规格删除
    void deleteById(Integer id);

    // 加载商品单元数据
    List<ProductSpec> findAll();
}
