package cn.bunny.mapper;

import cn.bunny.common.spzx.model.entity.system.SysMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysMenuMapper {
    // 查询所有子节点
    List<SysMenu> findAll();

    // 保存菜单
    void save(SysMenu sysMenu);

    // 修改菜单
    void update(SysMenu sysMenu);

    // 删除菜单
    void removeById(Long id);

    // 查询是否有子菜单
    Long selectById(Long id);

    // 根据userid查询可以操作菜单
    List<SysMenu> findMenuByUserId(Long userId);
}
