package cn.bunny.service;

import cn.bunny.common.spzx.model.entity.product.Brand;
import com.github.pagehelper.PageInfo;
import org.springframework.stereotype.Service;

import java.util.List;

public interface BrandService  {
    PageInfo<Brand> findByPage(Integer page, Integer limit);

    // 添加
    void save(Brand brand);

    // 修改品牌
    void updateById(Brand brand);

    // 删除品牌
    void deleteById(Integer id);

    // 查询所有品牌
    List<Brand> findAll();
}
