package cn.bunny.web.product.service.imp;

import cn.bunny.common.spzx.model.entity.product.Brand;
import cn.bunny.web.product.mapper.BrandMapper;
import cn.bunny.web.product.service.BrandService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BrandServiceImpl implements BrandService {
    @Resource
    private BrandMapper brandMapper;

    /***
     * 获取全部品牌
     * @return 获取全部品牌列表
     */
    @Override
    public List<Brand> findAll() {
        return brandMapper.findAll();
    }
}
