package cn.bunny.controller;


import cn.bunny.common.spzx.model.entity.base.ProductUnit;
import cn.bunny.common.spzx.model.vo.common.Result;
import cn.bunny.common.spzx.model.vo.common.ResultCodeEnum;
import cn.bunny.service.ProductUntilService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "商品管理添加功能")
@RestController
@RequestMapping("/admin/product/productUnit")
public class ProductUntilController {
    @Autowired
    private ProductUntilService productUntilService;

    @Operation(summary = "加载商品单元数据", description = "加载商品单元数据")
    @GetMapping("findAll")
    public Result findAll() {
     List<ProductUnit> productUnitList= productUntilService.findAll();
        return Result.build(productUnitList, ResultCodeEnum.SUCCESS);
    }
}
