package cn.bunny.service;

import cn.bunny.common.spzx.model.dto.product.ProductDto;
import cn.bunny.common.spzx.model.entity.product.Product;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ProductService {
    // 查询分页
    PageInfo<Product> findByPage(Integer page, Integer limit, ProductDto productDto);

    // 保存商品数据接口
    void save(Product product);

    // 根据id查询商品信息
    Product getById(Long id);

    // 保存修改数据
    void updateById(Product product);

    // 删除数据
    void deleteById(Long id);

    // 审核商品
    void updateAuditStatus(Long id, Integer auditStatus);

    // 商品上下架
    void updateStatus(Long id, Integer status);
}
