package cn.bunny.service;

import cn.bunny.common.spzx.model.entity.product.ProductSpec;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ProductSpecService {
    // 分页查询商品规格列表
    PageInfo<ProductSpec> findByPage(Integer page, Integer limit);

    // 商品规格添加
    void save(ProductSpec productSpec);

    // 商品规格添加
    void updateById(ProductSpec productSpec);

    // 商品规格删除
    void deleteById(Integer id);

    // 加载商品单元数据
    List<ProductSpec> findAll();
}
